Method: documents.delete

Deletes a document and its stored content. If force is set to true, any associated reviews are also deleted.

HTTP request

DELETE https://deepreview.googleapis.com/v1/{name=documents/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the document to delete. It takes the form documents/{document}.

Query parameters

Parameters
allowMissing

boolean

Optional. If set to true, and the document is not found, the request succeeds.

force

boolean

Optional. If set to true, any child resources (e.g. review resources) are also deleted. If false and the document has existing reviews, the request fails with FAILED_PRECONDITION.

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/drive.file
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the OAuth 2.0 Overview.